xabuse and libXt.so.6 problem

xabuse and libXt.so.6 problem

Post by Witold Robert Jachimcz » Wed, 11 Oct 1995 04:00:00



Hi,

I seem to recall somebody asking this question before, but I do not remember the response.

This is the problem:

vtech:~# xabuse
abuse.x11R6: can't find library 'libXt.so.6'
vtech:~# cd /usr/X11R6/lib/
vtech:/usr/X11R6/lib# ls



I am using slackware 3.0.0.  Does anyone know how to force xabuse to search in /usr/X11R6/lib or where does xabuse search for libXt.so.6 so that I could put a simbolic link there?  

Thanx,

Witek


 
 
 

xabuse and libXt.so.6 problem

Post by Mitch DSou » Wed, 11 Oct 1995 04:00:00



-->Hi,
-->
-->I seem to recall somebody asking this question before, but I do not remember the response.
-->
-->This is the problem:
-->
-->vtech:~# xabuse
-->abuse.x11R6: can't find library 'libXt.so.6'
-->vtech:~# cd /usr/X11R6/lib/
-->vtech:/usr/X11R6/lib# ls



-->
-->I am using slackware 3.0.0.  Does anyone know how to force xabuse to search in /usr/X11R6/lib or where does xabuse search for libXt.so.6 so that I could put a simbolic link there?  

Could be two things

        1) you haven't rerun "ldconfig"
        2) format mismatch between the library and executable. i.e. one is ELF
                and the other is a.out. What does file abuse.x11R6      
                /usr/X11R6/lib/libXt.so.6.0

Mitch

 
 
 

1. libXt.so.3.1.0 and libXt.so.6.0, can coexist?

Fellow Linuxers--
  Is it possible to use multiple major versions of the same shared
library for program development?

  Specifically, I'm trying to compile a program which uses a Motif
shared library /usr/i486-linuxaout/lib/libXm.sa which references
__NEEDS_SHRLIB_libXt_3. I have major versions 3 and 6 of libXt.so also
in the i486-linuxaout/lib directory, but libXt.sa only defines things
like __NEEDS_SHRLIB_libXt_6 (not 3).  Ld compilains `Output file
requires libXt.so.3'.  The `--verbose' flag for ld shows that the
correct libraries are being loaded.  I know libXm is the culprit
because if I remove it from the command line the `Output file requires
libXt.so.3' error dissappears (of course, I get lots of undefined's
instead).  If I link with `-static' everything is fine.

Details: Slackware 3.0, Motif 1.2.4, gcc 2.7.0, aout-format libXt.so
3.1.0 & 6.0
--

2550 Yeager Rd |  hpkb   dkhq  dhP  qhb khwobmahd kdqbad bkd dxP   hkbkdhkd
Apt. 3-12      |  LJUOL JCOYJ JXOCUU0QCL   LUJ      LXJ  KJOYXZ    KLU
W.Lafayette, IN|  fut cnj tzn fvcrnxzftj   tvf    rtf    tzf^xz    trcvun
     47906-4038|  |1}  '  (\] [/1    /(]   {|}   /]/     )}1 \)\   |{}
317-463-5238   |  +!>     I>_ i<l    ?<-   <+!  <l/i?+<I !il  >+>  i<+I->!I

2. [Trivial] Columns in n_tty.c

3. running X problem cant open library 'libXt.so.6'

4. portmapper

5. XFree86 3.1.2E: libXt.so.6 problem?

6. RH 5.1 and IBM Aptiva Help!

7. libXt.so.6 Problems!?!?!

8. Linux Newbie: win98->ipmasq->Kinux->Internet: Now Samba question

9. compile problem with ld and libXt.so.3

10. LibXt.so.6 problems

11. Newbie problem: libXt.so.6 "not found"?

12. problem dynamic libraries (libXt.so.6 etc.)

13. libXt.so.6.0 problem